In trusty testdrive will not create a virtualbox virtual machine of lubntu i386 guest from trusty amd 64 host

Bug #1270331 reported by Lyn Perrine on 2014-01-18
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
TestDrive
Undecided
Unassigned
testdrive (Ubuntu)
Undecided
Unassigned

Bug Description

lsb_release
Distributor ID: Ubuntu
Description: Ubuntu Trusty Tahr (development branch)
Release: 14.04
Codename: trusty
2. apt-cache policy testdrive
installed 3.24-0ubuntu1
canidate 3.24-0ubuntu1
apt-cache policy virtualbox
Installed: 4.3.2-dfsg-1ubuntu1
  Candidate: 4.3.2-dfsg-1ubuntu1
3. I expected test drive to start a virtualbox vm of the trusty lubuntu i386 dialy. Steps to reproduce are sync an i386 lubuntu trusty iso and then try to try to launch the vm. I wanted the virtual machine to be created.
4. Instead testdrive said configuring virtual machine but never completes.

ProblemType: Bug
DistroRelease: Ubuntu 14.04
Package: testdrive 3.24-0ubuntu1
ProcVersionSignature: Ubuntu 3.12.0-7.15-generic 3.12.4
Uname: Linux 3.12.0-7-generic x86_64
NonfreeKernelModules: wl
ApportVersion: 2.13.1-0ubuntu1
Architecture: amd64
CurrentDesktop: LXDE
Date: Fri Jan 17 16:08:37 2014
InstallationDate: Installed on 2014-01-02 (15 days ago)
InstallationMedia: Lubuntu 14.04 "Trusty Tahr" - Alpha amd64 (20140101)
PackageArchitecture: all
SourcePackage: testdrive
UpgradeStatus: No upgrade log present (probably fresh install)

Lyn Perrine (walterorlin) wrote :
Jackson Doak (noskcaj) wrote :

Does this only affect lubuntu?
Can someone else reproduce this?
Does this affect the bzr head?

Jackson Doak (noskcaj) wrote :

It's likely this is actually from Vbox , which is supported ib bzr but not a full release

Lyn Perrine (walterorlin) wrote :

I couldn't get the bzr to build which I have pastebined here http://paste.ubuntu.com/6772240/

Lyn Perrine (walterorlin) wrote :

starting testdrive gtk from a terminal did give me an error saying not supported version of virtualbox which mine is currently 4.3 while testdrive currently only supports 4.0 4.1 and 4.2

yeah that issue is fixed in the bzr branch. Try debuild -us -uc , which
should disable signing (why you had the failure)

On Sat, Jan 18, 2014 at 4:34 PM, ianorlin <email address hidden> wrote:

> starting testdrive gtk from a terminal did give me an error saying not
> supported version of virtualbox which mine is currently 4.3 while
> testdrive currently only supports 4.0 4.1 and 4.2
>
> --
> You received this bug notification because you are subscribed to
> TestDrive.
> https://bugs.launchpad.net/bugs/1270331
>
> Title:
> In trusty testdrive will not create a virtualbox virtual machine of
> lubntu i386 guest from trusty amd 64 host
>
> Status in Test Drive an Ubuntu ISO in a Virtual Machine:
> New
> Status in “testdrive” package in Ubuntu:
> New
>
> Bug description:
> lsb_release
> Distributor ID: Ubuntu
> Description: Ubuntu Trusty Tahr (development branch)
> Release: 14.04
> Codename: trusty
> 2. apt-cache policy testdrive
> installed 3.24-0ubuntu1
> canidate 3.24-0ubuntu1
> apt-cache policy virtualbox
> Installed: 4.3.2-dfsg-1ubuntu1
> Candidate: 4.3.2-dfsg-1ubuntu1
> 3. I expected test drive to start a virtualbox vm of the trusty lubuntu
> i386 dialy. Steps to reproduce are sync an i386 lubuntu trusty iso and then
> try to try to launch the vm. I wanted the virtual machine to be created.
> 4. Instead testdrive said configuring virtual machine but never
> completes.
>
> ProblemType: Bug
> DistroRelease: Ubuntu 14.04
> Package: testdrive 3.24-0ubuntu1
> ProcVersionSignature: Ubuntu 3.12.0-7.15-generic 3.12.4
> Uname: Linux 3.12.0-7-generic x86_64
> NonfreeKernelModules: wl
> ApportVersion: 2.13.1-0ubuntu1
> Architecture: amd64
> CurrentDesktop: LXDE
> Date: Fri Jan 17 16:08:37 2014
> InstallationDate: Installed on 2014-01-02 (15 days ago)
> InstallationMedia: Lubuntu 14.04 "Trusty Tahr" - Alpha amd64 (20140101)
> PackageArchitecture: all
> SourcePackage: testdrive
> UpgradeStatus: No upgrade log present (probably fresh install)
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/testdrive/+bug/1270331/+subscriptions
>

Changed in testdrive:
status: New → Fix Committed
Lyn Perrine (walterorlin) wrote :

I can confirm this is fixed in the bzr branch now.

Ubuntu QA Website (ubuntuqa) wrote :

This bug has been reported on the Ubuntu ISO testing tracker.

A list of all reports related to this bug can be found here:
http://iso.qa.ubuntu.com/qatracker/reports/bugs/1270331

tags: added: iso-testing
Lyn Perrine (walterorlin) wrote :

Sorry enetered wrong bug number.

On Mon, Jan 27, 2014 at 7:36 PM, Ubuntu QA Website <
<email address hidden>> wrote:

> This bug has been reported on the Ubuntu ISO testing tracker.
>
> A list of all reports related to this bug can be found here:
> http://iso.qa.ubuntu.com/qatracker/reports/bugs/1270331
>
> ** Tags added: iso-testing
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1270331
>
> Title:
> In trusty testdrive will not create a virtualbox virtual machine of
> lubntu i386 guest from trusty amd 64 host
>
> Status in Test Drive an Ubuntu ISO in a Virtual Machine:
> Fix Committed
> Status in “testdrive” package in Ubuntu:
> New
>
> Bug description:
> lsb_release
> Distributor ID: Ubuntu
> Description: Ubuntu Trusty Tahr (development branch)
> Release: 14.04
> Codename: trusty
> 2. apt-cache policy testdrive
> installed 3.24-0ubuntu1
> canidate 3.24-0ubuntu1
> apt-cache policy virtualbox
> Installed: 4.3.2-dfsg-1ubuntu1
> Candidate: 4.3.2-dfsg-1ubuntu1
> 3. I expected test drive to start a virtualbox vm of the trusty lubuntu
> i386 dialy. Steps to reproduce are sync an i386 lubuntu trusty iso and then
> try to try to launch the vm. I wanted the virtual machine to be created.
> 4. Instead testdrive said configuring virtual machine but never
> completes.
>
> ProblemType: Bug
> DistroRelease: Ubuntu 14.04
> Package: testdrive 3.24-0ubuntu1
> ProcVersionSignature: Ubuntu 3.12.0-7.15-generic 3.12.4
> Uname: Linux 3.12.0-7-generic x86_64
> NonfreeKernelModules: wl
> ApportVersion: 2.13.1-0ubuntu1
> Architecture: amd64
> CurrentDesktop: LXDE
> Date: Fri Jan 17 16:08:37 2014
> InstallationDate: Installed on 2014-01-02 (15 days ago)
> InstallationMedia: Lubuntu 14.04 "Trusty Tahr" - Alpha amd64 (20140101)
> PackageArchitecture: all
> SourcePackage: testdrive
> UpgradeStatus: No upgrade log present (probably fresh install)
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/testdrive/+bug/1270331/+subscriptions
>

tags: removed: iso-testing
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers